---
title: border-image-outset
slug: Web/CSS/border-image-outset
tags:
  - CSS
  - CSS Borders
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>border-image-outset</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the distance by which an element's <a href="/en-US/docs/Web/CSS/border-image">border image</a> is set out from its border box.</p>

<p>The parts of the border image that are rendered outside the element's border box with <code>border-image-outset</code> do not trigger overflow scrollbars and don't capture mouse events.</p>

<div>{{EmbedInteractiveExample("pages/css/border-image-outset.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; value */
border-image-outset: 1rem;

/* &lt;number&gt; value */
border-image-outset: 1.5;

/* vertical | horizontal */
border-image-outset: 1 1.2;

/* top | horizontal | bottom */
border-image-outset: 30px 2 45px;

/* top | right | bottom | left */
border-image-outset: 7px 12px 14px 5px;

/* Global values */
border-image-outset: inherit;
border-image-outset: initial;
border-image-outset: unset;
</pre>

<p>The <code>border-image-outset</code> property may be specified as one, two, three, or four values. Each value is a {{cssxref("&lt;length&gt;")}} or {{cssxref("&lt;number&gt;")}}. Negative values are invalid and will cause the <code>border-image-outset</code> declaration to be ignored.</p>

<ol>
 <li>If <strong>one</strong> value is specified, it applies to <strong>all four sides</strong>.</li>
 <li>If <strong>two</strong> values are specified, the first applies to the <strong>top and bottom</strong> and the second to the <strong>left and right</strong>.</li>
 <li>If <strong>three</strong> values are specified, the first applies to the <strong>top</strong>, the second to the <strong>left and right</strong>, and the third to the <strong>bottom</strong>.</li>
 <li>If <strong>four</strong> values are specified, they apply to the <strong>top</strong>, <strong>right</strong>, <strong>bottom</strong>, and <strong>left</strong> in that order (clockwise).</li>
</ol>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>The size of the <code>border-image</code> outset as a dimension — a number with a unit.</dd>
 <dt>{{cssxref("&lt;number&gt;")}}</dt>
 <dd>The size of the <code>border-image</code> outset as a multiple of the element's corresponding {{cssxref("border-width")}}s. For example, if an element has <code>border-width: 1em 2px 0 1.5rem</code>, and <code>border-image-outset: 2</code>, the final <code>border-image-outset</code> would be calculated as <code>2em 4px 0 3rem</code>.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Outsetting_a_border_image">Outsetting a border image</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="outset"&gt;This element has an outset border image!&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">#outset {
  width: 10rem;
  background: #cef;
  border: 1.4rem solid;
  border-image: radial-gradient(#ff2, #55f) 40;
  border-image-outset: 1.5;  /* 1.5 × 1.4rem = 2.1rem */
  margin: 2.1rem;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Outsetting_a_border_image", "auto", 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#the-border-image-outset', 'border-image-outset')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-image-outset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Backgrounds_and_Borders">Backgrounds and borders</a></li>
 <li><a href="/en-US/docs/Learn/CSS/Building_blocks/Backgrounds_and_borders">Learn CSS: Backgrounds and borders</a></li>
</ul>
